from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XFastTokenHandler(XInterface, Protocol):
    def getTokenFromUTF8(self, Identifier: sequence< byte >) -> int: ...
    def getUTF8Identifier(self, Token: int) -> list[int]: ...
